Bug 893777 - duplicate directory between ghc-base and ghc-base-devel
Summary: duplicate directory between ghc-base and ghc-base-devel
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-rpm-macros
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-09 21:48 UTC by Michael S.
Modified: 2013-02-15 18:38 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-02-15 01:19:16 UTC


Attachments (Terms of Use)

Description Michael S. 2013-01-09 21:48:49 UTC
$ rpm -qf /usr/lib64/ghc-7.4.1/base-4.5.0.0
ghc-base-4.5.0.0-6.4.fc18.x86_64
ghc-base-devel-4.5.0.0-6.4.fc18.x86_64

Since ghc-base-devel pull ghc-base, there is duplicate directory ownership
( in fact, there is all directories in /usr/lib64/ghc-7.4.1/ that are duplicate )

Comment 1 Jens Petersen 2013-01-18 09:49:55 UTC
Thanks for the report.

Comment 2 Jens Petersen 2013-01-18 10:00:05 UTC
Fixing first in ghc-rpm-macros-0.97.6-1.fc19 and ghc-7.4.2-10.fc19.
This should get completely fixed for F19 rawhide after all packages get rebuilt.

I will push a update of ghc-rpm-macros for F18 soon but I am not planning
to rebuild all the F18 packages just to fix this: there may be
some backport from F19 later.


BTW was there some particular problem that lead you to notice this?

Comment 3 Michael S. 2013-01-18 12:10:53 UTC
No, I am trying to write a tool to automate the detection of unowned directory and duplicate directories ( as we need to verify that during the package review ). However, I found out that this part can be quite confusing for newer packagers ( ie, when they look at existing packages with something unowned directory, sometime not, etc ), so I try to clean the existing rpms first, so we can have a more reliable test later. 

Most of the time, there is no big problem with duplicate directory, I just think this is a little bit cleaner.

( unowned directory is a different beast, and I also filled bug report for that )

Comment 4 Fedora Update System 2013-01-19 09:35:59 UTC
ghc-rpm-macros-0.15.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-rpm-macros-0.15.10-1.fc17

Comment 5 Fedora Update System 2013-01-19 09:36:12 UTC
ghc-rpm-macros-0.95.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-rpm-macros-0.95.9-1.fc18

Comment 6 Fedora Update System 2013-01-19 10:36:45 UTC
ghc-rpm-macros-0.15.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-rpm-macros-0.15.10-1.el6

Comment 7 Fedora Update System 2013-01-20 03:02:04 UTC
Package ghc-rpm-macros-0.95.9-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-rpm-macros-0.95.9-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1026/ghc-rpm-macros-0.95.9-1.fc18
then log in and leave karma (feedback).

Comment 8 Jens Petersen 2013-01-21 05:11:42 UTC
(In reply to comment #3)
> No, I am trying to write a tool to automate the detection of unowned
> directory and duplicate directories ( as we need to verify that during the
> package review ).

Ok I see thank you - that is great! :)

Comment 9 Fedora Update System 2013-02-01 16:46:33 UTC
ghc-rpm-macros-0.15.11-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-02-01 17:18:41 UTC
ghc-rpm-macros-0.95.10-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Jens Petersen 2013-02-14 11:06:16 UTC
It seems BinLib packages still have the problem!

Reopening

Comment 12 Jens Petersen 2013-02-15 01:19:16 UTC
(In reply to comment #11)
> It seems BinLib packages still have the problem!

Sorry ignore that - I was tired and was confusing
ghc-PKG and ghc-PKG-devel.  Only the former needs to own
the lib dir of course.

Comment 13 Fedora Update System 2013-02-15 18:38:25 UTC
ghc-rpm-macros-0.15.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.